Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Enumerations | Functions
rtp_stream.h File Reference
`#include "tap-rtp-analysis.h"`
`#include <glib.h>`
`#include <stdio.h>`
`#include "cfile.h"`
`#include <epan/address.h>`
`#include <epan/tap.h>`

Go to the source code of this file.

## Classes
struct | _rtp_stream_info
struct | _rtpstream_tapinfo

## Macros
#define | RTP_STREAM_DEBUG(...)
#define | MAX_SILENCE_FRAMES 14400000

## Typedefs
typedef struct _rtp_stream_info | rtp_stream_info_t
typedef struct _rtpstream_tapinfo | rtpstream_tapinfo_t
typedef void(* | rtpstream_tap_reset_cb) (rtpstream_tapinfo_t *tapinfo)
typedef void(* | rtpstream_tap_draw_cb) (rtpstream_tapinfo_t *tapinfo)
typedef void(* | tap_mark_packet_cb) (rtpstream_tapinfo_t *tapinfo, frame_data *fd)

## Enumerations
enum | tap_mode_t { TAP_ANALYSE, TAP_SAVE, TAP_MARK }

## Functions
void | register_tap_listener_rtp_stream (rtpstream_tapinfo_t *tapinfo, const char *fstring)
void | remove_tap_listener_rtp_stream (rtpstream_tapinfo_t *tapinfo)
void | rtpstream_reset (rtpstream_tapinfo_t *tapinfo)
void | rtpstream_scan (rtpstream_tapinfo_t *tapinfo, capture_file *cap_file, const char *fstring)
gboolean | rtpstream_save (rtpstream_tapinfo_t *tapinfo, capture_file *cap_file, rtp_stream_info_t *stream, const gchar *filename)
gboolean | rtp_stream_info_is_reverse (const rtp_stream_info_t *stream_a, rtp_stream_info_t *stream_b)
void | rtpstream_mark (rtpstream_tapinfo_t *tapinfo, capture_file *cap_file, rtp_stream_info_t *stream_fwd, rtp_stream_info_t *stream_rev)

## Detailed Description

"RTP Streams" dialog box common routines.

## Typedef Documentation

typedef struct _rtp_stream_info rtp_stream_info_t

Defines an rtp stream

## Enumeration Type Documentation

enum tap_mode_t

tapping modes

## Function Documentation

void register_tap_listener_rtp_stream | ( | rtpstream_tapinfo_t * | tapinfo,
|  | const char * | fstring
| ) |  |

Registers the rtp_streams tap listener (if not already done). From that point on, the RTP streams list will be updated with every redissection. This function is also the entry point for the initialization routine of the tap system. So whenever rtp_stream.c is added to the list of WIRESHARK_TAP_SRCs, the tap will be registered on startup. If not, it will be registered on demand by the rtp_streams and rtp_analysis functions that need it.

void remove_tap_listener_rtp_stream | ( | rtpstream_tapinfo_t * | tapinfo | ) |

Removes the rtp_streams tap listener (if not already done) From that point on, the RTP streams list won't be updated any more.

gboolean rtp_stream_info_is_reverse | ( | const rtp_stream_info_t * | stream_a,
|  | rtp_stream_info_t * | stream_b
| ) |  |

Compares the endpoints of two RTP streams.

Returns
  TRUE if the

void rtpstream_mark | ( | rtpstream_tapinfo_t * | tapinfo,
|  | capture_file * | cap_file,
|  | rtp_stream_info_t * | stream_fwd,
|  | rtp_stream_info_t * | stream_rev
| ) |  |

Marks all packets belonging to either of stream_fwd or stream_rev. (both can be NULL) (redissects all packets)

void rtpstream_reset | ( | rtpstream_tapinfo_t * | tapinfo | ) |

Cleans up memory of rtp streams tap.

gboolean rtpstream_save | ( | rtpstream_tapinfo_t * | tapinfo,
|  | capture_file * | cap_file,
|  | rtp_stream_info_t * | stream,
|  | const gchar * | filename
| ) |  |

Saves an RTP stream as raw data stream with timestamp information for later RTP playback. (redissects all packets)

void rtpstream_scan | ( | rtpstream_tapinfo_t * | tapinfo,
|  | capture_file * | cap_file,
|  | const char * | fstring
| ) |  |

Scans all packets for RTP streams and updates the RTP streams list. (redissects all packets)